org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenEnDecodingInfo

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenEnDecodingInfo

     class JrpcgenEnDecodingInfo
    extends java.lang.Object

The class `JrpcgenEnDecodingInfo` contains information which is necessary to generate source code calling appropriate XDR encoding and decoding methods.

Version:
  $Revision: 1.6 $ $Date: 2007/05/29 19:38:30 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`java.lang.String` `decodingOptions` Optional parameters to use when decoding a base data type.
`java.lang.String` `encodingOptions` Optional parameters to use when encoding a base data type.
`java.lang.String` `syllable` (Type) syllable of the encoding or decoding method.

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenEnDecodingInfo(java.lang.String syllable, java.lang.String encodingOptions, java.lang.String decodingOptions)` Construct a `JrpcgenEnDecodingInfo` object containing information for generating source code for encoding and decoding of XDR/Java base data types.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### syllable

    public java.lang.String syllable

(Type) syllable of the encoding or decoding method. The full name of the encoding or decoding method is always in the form of "xdrEncodeXXX(...)" or "xdrDecodeXXX(...)", where "XXX" is the syllable contained in this attribute.

#### encodingOptions

    public java.lang.String encodingOptions

Optional parameters to use when encoding a base data type. This typically includes the size parameter for encoding fixed-size vectors/arrays. When this attribute is not `null`, then these parameters need to be appended. The attribute never contains a leading parameter separator (aka "comma").

#### decodingOptions

    public java.lang.String decodingOptions

Optional parameters to use when decoding a base data type. This typically includes the size parameter for decoding fixed-size vectors/arrays. When this attribute is not `null`, then these parameters need to be appended. The attribute never contains a leading parameter separator (aka "comma").

### Constructor Detail

#### JrpcgenEnDecodingInfo

    public JrpcgenEnDecodingInfo(java.lang.String syllable,
                         java.lang.String encodingOptions,
                         java.lang.String decodingOptions)

Construct a `JrpcgenEnDecodingInfo` object containing information for generating source code for encoding and decoding of XDR/Java base data types.

Parameters:
  `syllable` - Syllable of encoding/decoding method.
  `encodingOptions` - Optional parameters necessary to encode base data type.
  `decodingOptions` - Optional parameters necessary to decode base data type.